''' Reads quote information from a config file and fetches + prints quote 
information for each quote. '''

import getopt, sys

from Config import *
from core import QdlCore 
from core.Model import *
from kmm.KmmQuoteService import KmmQuoteService
from pfq.PfqQuoteService import PfqQuoteService


def  displayHelp():
      print "QDL-Batch"
      print "Usage: QDL-Batch.py configfile"
      print "Infile: driver,source,symbol,wkn"
    

def parseInput(filename):
      quoteInputs = []
      f = open(filename)
      lines = f.readlines()

      for line in lines:
            # for each config line get settings and remove line breaks
            line = line.replace("\n","")
            line = line.replace("\r","")
            itemlist = line.split(",")

            # create the QuoteInput model
            qi = QuoteInput()
            qi.driver=itemlist[0]
            qi.source = itemlist[1]
            qi.symbol=itemlist[2]
            if len(itemlist) > 3:
                  qi.wkn=itemlist[3]
            quoteInputs.append(qi)    

      return quoteInputs

def getQuotes(inputs):
      quotes = []
      for input in inputs:
            res = QdlCore.getQuote(input)
            quotes.append(res)
      return quotes
    
def main(args):
      # no argument > show help + exit
      if  len(args) < 2:
            displayHelp()
            sys.exit()
        
      infile = args[1]
      inputs = parseInput(infile)
      quotes = getQuotes(inputs)
      for quote in quotes:
            print quote.toString()

        
if __name__=="__main__":
      main(sys.argv)
        
        
