''' Module defining the main data model for QDL '''

from Config import *
 
class QuoteResult:
      ''' Data object that stores from a quote download. '''

      def __init__(self, symbol, price, datum, wkn=None):
            self.symbol = symbol
            self.price = price
            self.datum = datum
            self.wkn = wkn
        
      def toString(self):
            ''' Takes teh outformat and wknformat strings from Config.py
            and returns the string with the placeholders replaced by the
            actual values. '''
            qstr = outformat
            qstr = qstr.replace("$s",self.symbol)
            qstr = qstr.replace("$p",str(self.price))
            qstr = qstr.replace("$d",str(self.datum))
            if self.wkn:
                  wknstr = wknformat.replace("$w",  self.wkn)
                  qstr = qstr + wknstr
            return qstr

        
class QuoteInput:
      ''' Data object that stores input information for a quote download. This
      included driver, source, wkn and the symbol to download. '''
      
      def __init__(self):
              # Variables for the application
              self.driver = defaultdriver
              self.source = defaultsource
              self.wkn = None
              self.symbol = None


class SourceItem:
      ''' Data object that stores information about an individual source configuration. '''
      
      def __init__(self, name=None, url=None, symbol=None, price=None, date=None, dateformat=None):
            self.name = name
            self.url = url
            self.symbol = symbol
            self.price = price
            self.date = date
            self.dateformat = dateformat
