''' Sources avaliable for the pfq module are defined in this module '''

class PfqSources:

      def __init__(self):
            ''' Default constructor. Initializes the sources defined '''
            self.sources = {}
            self.sources["aex"] = "AEX";
            self.sources["aex_futures"] = "AEX Futures";
            self.sources["aex_options"] = "AEX Options";
            self.sources["amfiindia"] = "AMFI India";
            self.sources["asegr"] = "ASE";
            self.sources["asia"] = "Asia (Yahoo, ...)";
            self.sources["asx"] = "ASX";
            self.sources["australia"] = "Australia (ASX, Yahoo, ...)";
            self.sources["bmonesbittburns"] = "BMO NesbittBurns";
            self.sources["brasil"] = "Brasil (Yahoo, ...)";
            self.sources["canada"] = "Canada (Yahoo, ...)";
            self.sources["canadamutual"] = "Canada Mutual (Fund Library, ...)";
            self.sources["deka"] = "Deka Investments";
            self.sources["dutch"] = "Dutch (AEX, ...)";
            self.sources["dwsfunds"] = "DWS";
            self.sources["europe"] = "Europe (Yahoo, ...)";
            self.sources["fidelity"] = "Fidelity (Fidelity, ...)";
            self.sources["fidelity_direct"] = "Fidelity Direct";
            self.sources["financecanada"] = "Finance Canada";
            self.sources["ftportfolios"] = "First Trust (First Trust, ...)";
            self.sources["ftportfolios_direct"] = "First Trust Portfolios";
            self.sources["fundlibrary"] = "Fund Library";
            self.sources["greece"] = "Greece (ASE, ...)";
            self.sources["indiamutual"] = "India Mutual (AMFI, ...)";
            self.sources["maninv"] = "Man Investments";
            self.sources["fool"] = "Motley Fool";
            self.sources["nasdaq"] = "Nasdaq (Yahoo, ...)";
            self.sources["nz"] = "New Zealand (Yahoo, ...)";
            self.sources["nyse"] = "NYSE (Yahoo, ...)";
            self.sources["nzx"] = "NZX";
            self.sources["platinum"] = "Platinum Asset Management";
            self.sources["seb_funds"] = "SEB";
            self.sources["sharenet"] = "Sharenet";
            self.sources["za"] = "South Africa (Sharenet, ...)";
            self.sources["troweprice_direct"] = "T. Rowe Price";
            self.sources["troweprice"] = "T. Rowe Price";
            self.sources["tdefunds"] = "TD Efunds";
            self.sources["tdwaterhouse"] = "TD Waterhouse Canada";
            self.sources["tiaacref"] = "TIAA-CREF";
            self.sources["trustnet"] = "Trustnet";
            self.sources["uk_unit_trusts"] = "U.K. Unit Trusts";
            self.sources["unionfunds"] = "Union Investments";
            self.sources["tsp"] = "US Govt. Thrift Savings Plan";
            self.sources["usfedbonds"] = "US Treasury Bonds";
            self.sources["usa"] = "USA (Yahoo, Fool ...)";
            self.sources["vanguard"] = "Vanguard";
            self.sources["vwd"] = "VWD";
            self.sources["yahoo"] = "Yahoo";
            self.sources["yahoo_asia"] = "Yahoo Asia";
            self.sources["yahoo_australia"] = "Yahoo Australia";
            self.sources["yahoo_brasil"] = "Yahoo Brasil";
            self.sources["yahoo_europe"] = "Yahoo Europe";
            self.sources["yahoo_nz"] = "Yahoo New Zealand";
            self.sources["zifunds"] = "Zuerich Investments";

      def getSourceNames(self):
            ''' Returns a list of names of the sources available ''' 
            return self.sources.keys()
